Undo a not-interested mark
curl --request DELETE \
--url https://app.govly.com/api/tools/v1/opportunities/{opportunityId}/not_interested \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.govly.com/api/tools/v1/opportunities/{opportunityId}/not_interested"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.govly.com/api/tools/v1/opportunities/{opportunityId}/not_interested', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "opportunity",
"notInterested": true
},
"meta": {
"oppId": "<string>",
"undo": true
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Opportunities
Undo a not-interested mark
Removes a previous not-interested mark for the authenticated user and restores matching dismissed inbox items. The user returns to a neutral (not following) state.
DELETE
/
api
/
tools
/
v1
/
opportunities
/
{opportunityId}
/
not_interested
Undo a not-interested mark
Authorizations
bearerApiKeyheaderApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Govly opportunity ID.
Was this page helpful?
⌘I